/**
  *  \file client/tiles.h
  */
#ifndef PCC_V2_CLIENT_TILES_H
#define PCC_V2_CLIENT_TILES_H

#include "cpluslib/object.h"
#include "cpluslib/string.h"

class WTile;
class GObjectType;

class WTileContainer : public Object {
 public:
    virtual void addNewTile(WTile*) = 0;
};

WTile* createTile(string_t name, GObjectType& type);

void createTileLayout(WTileContainer& container, string_t layoutName, GObjectType& baseType);

#endif
