/**
  *  \file client/widgets/selinfo.h
  *  \brief Selection Layer Information Widget
  */
#ifndef PCC_V2_CLIENT_WIDGETS_SELINFO_H
#define PCC_V2_CLIENT_WIDGETS_SELINFO_H

#include "ui/ui.h"

/** Selection Layer Information Widget.
    This widget displays information about one selection layer. */
class WSelectionLayerInfo : public UIWidget {
    int layer;
    SignalConnection conn_sel_change;
 public:
    WSelectionLayerInfo(int id, int layer);
    ~WSelectionLayerInfo();

    void drawContent(GfxCanvas& can);
    void getLayoutInfo(LayoutInfo& info);
};

#endif
